#!/bin/bash -e
if test $# -lt 1; then
echo "eg. $0  SymbolicLink"
exit
fi
fpath=$1
dirpath=${1%*/*}/
if ! test -L "$fpath"; then
echo "Not a Symlink"
exit
fi
line="$(stat "${fpath}"|grep "File: ")"
line="${line##*\`}"
line="${line%*\'*}"
sympath="${dirpath}${line}"
if ! test -e "$sympath"; then
set -x
rm -f "$fpath"
set +x
fi
